
Foreman - Bug #36150

Issue #35331 / Commit a321f97 breaks non-RHEL EL9 Provisioning

03/01/2023 10:34 AM - Maximilian Sesterhenn

Status: New   

Priority: High   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 3.5.0, 3.5.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

after upgrading to Foreman 3.5.0 our installations of Rocky Linux 9 are failing.

After investigating further, this is due to recent changes in the "Kickstart default" template which changed the tool used for katello

registration from subscription-manager to rhsm.

However, rhsm seems to be not available, and thus the registration is failing.

I assume the same behavior applies for all "rhel_compatible" distributions which are not RHEL directly.

Related issues:

Related to Foreman - Bug #35331: RHEL 9 provisioned host goes into emergency ... Closed

Is duplicate of Foreman - Bug #36065: The CentOS Stream 9 no longer registers... New

History

#1 - 03/01/2023 10:36 AM - Maximilian Sesterhenn

- Priority changed from Normal to High

#2 - 03/07/2023 09:59 AM - Ewoud Kohl van Wijngaarden

- Category changed from Templates to Unattended installations

Linking to https://community.theforeman.org/t/el9-kickstart-using-rhsm/32666 where the discussion has more context.

#3 - 03/07/2023 09:59 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #35331: RHEL 9 provisioned host goes into emergency mode after initial reboot added

#4 - 03/07/2023 10:01 AM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #36065: The CentOS Stream 9 no longer registers to Foreman/Katello even though it's installed from the synced content added
